#447 Null Pointer Exception when saving file

None
closed-fixed
nobody
None
5
2014-12-29
2012-01-03
Bob Lang
No

I'm working my way through the hourglass tutorial (http://www.artofillusion.org/docs/hourglasstut/index) using AoI v2.9 for Mac downloaded today (3-Jan-11). My Mac is running Snow Leopard OS X 10.6.8 with java version 1.6.0_29

I notice that I can no longer save files once I've set New Uniform Material for the hour glass object. It doesn't matter whether or not I set the New Uniform Material parameters to the values in the tutorial or simply leave them as defaults. Once set, I can no longer save. The Console log reports Null Pointer Exception. The full log is given below.

03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] java.lang.NullPointerException
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.object.Object3D.writeToFile(Object3D.java:423)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.object.SplineMesh.writeToFile(SplineMesh.java:1146)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.Scene.writeObjectToFile(Scene.java:1586)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.Scene.writeToStream(Scene.java:1508)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.Scene.writeToFile(Scene.java:1442)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.ArtOfIllusion.saveScene(ArtOfIllusion.java:484)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at artofillusion.LayoutWindow.saveAsCommand(LayoutWindow.java:1649)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.lang.reflect.Method.invoke(Method.java:597)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at buoy.internal.EventLinkRecord.dispatchEvent(EventLinkRecord.java:83)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at buoy.event.EventSource.dispatchEvent(EventSource.java:140)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at buoy.widget.Widget.dispatchEvent(Widget.java:326)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at buoy.widget.BMenuItem$1.actionPerformed(BMenuItem.java:93)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2028)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2351)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at javax.swing.AbstractButton.doClick(AbstractButton.java:389)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at com.apple.laf.ScreenMenuItem.actionPerformed(ScreenMenuItem.java:95)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.MenuItem.processActionEvent(MenuItem.java:627)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.MenuItem.processEvent(MenuItem.java:586)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.MenuComponent.dispatchEventImpl(MenuComponent.java:337)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.MenuComponent.dispatchEvent(MenuComponent.java:325)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:682)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue.access$000(EventQueue.java:85)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue$1.run(EventQueue.java:638)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue$1.run(EventQueue.java:636)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.security.AccessController.doPrivileged(Native Method)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:98)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue$2.run(EventQueue.java:652)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue$2.run(EventQueue.java:650)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.security.AccessController.doPrivileged(Native Method)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:87)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventQueue.dispatchEvent(EventQueue.java:649)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188)
03/01/2012 21:50:51 [0x0-0x15f15f].Art of Illusion[2468] at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

Discussion

  • Nobody/Anonymous

    WtrRTM <a href="http://kjunjvrlcsww.com/">kjunjvrlcsww</a>, [url=http://vwpyqafjphog.com/]vwpyqafjphog[/url], [link=http://ebevvzgvuevk.com/]ebevvzgvuevk[/link], http://oemyegfeoviv.com/

     
  • Luke S

    Luke S - 2014-12-29

    Same as Bug 452. Fixed r401.

     
  • Luke S

    Luke S - 2014-12-29
    • status: open --> closed-fixed
    • Group: -->
     

Log in to post a comment.